Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class ServerManagerImpl.AdapterManagerImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.net.ServerManagerImpl.AdapterManagerImpl

All Implemented Interfaces:
  IDLEntity, Object, POAManager, POAManagerOperations, java.io.Serializable, ServerManager.AdapterManager

Enclosing class:
  ServerManagerImpl

public class ServerManagerImpl.AdapterManagerImpl
extends LocalObject
implements POAManager, ServerManager.AdapterManager

This class provides an implementation for the AdapterManager interface.

See Also:
  Serialized Form

Method Summary
`void` | `activate()` Operation activate
`void` | `deactivate(boolean etherealize, boolean wait_for_completion)` Operation deactivate
`void` | `discard_requests(boolean wait_for_completion)` Operation discard_requests
`State` | `get_state()` Return the current state of the state machine.
`void` | `hold_requests(boolean wait_for_completion)` Put the AdapterManager into the HOLDING state.
`void` | `setMaxManagerHeldRequests(int max)` Set the maximum number of requests a manager accepts.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Method Detail

### setMaxManagerHeldRequests

    public void setMaxManagerHeldRequests(int max)

  Set the maximum number of requests a manager accepts.
  Specified by:
    `setMaxManagerHeldRequests` in interface `ServerManager.AdapterManager`

### get_state

    public State get_state()

  Return the current state of the state machine.
  Specified by:
    `get_state` in interface `POAManagerOperations`

### deactivate

    public void deactivate(boolean etherealize,
                           boolean wait_for_completion)
                    throws AdapterInactive

  Description copied from interface: `POAManagerOperations`
  Operation deactivate
  Specified by:
    `deactivate` in interface `POAManagerOperations`

### discard_requests

    public void discard_requests(boolean wait_for_completion)
                          throws AdapterInactive

  Description copied from interface: `POAManagerOperations`
  Operation discard_requests
  Specified by:
    `discard_requests` in interface `POAManagerOperations`

### hold_requests

    public void hold_requests(boolean wait_for_completion)
                       throws AdapterInactive

  Put the AdapterManager into the HOLDING state.
  Specified by:
    `hold_requests` in interface `POAManagerOperations`
  Parameters:
    `wait_for_completion` - If this flag is true the operation will not return until the POAs associated with this manager have completed any pending requests and also entered the HOLDING state.

### activate

    public void activate()
                  throws AdapterInactive

  Description copied from interface: `POAManagerOperations`
  Operation activate
  Specified by:
    `activate` in interface `POAManagerOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD